summaryrefslogtreecommitdiffstats
path: root/desktop/hsetroot
diff options
context:
space:
mode:
author Eugene Wissner2010-05-13 00:57:35 +0200
committer Erik Hanson2010-05-13 00:57:35 +0200
commit9470530f531677788c68ff3acce06bd836c6e993 (patch)
tree6d4cd33ee4f7c4bef1ed501a95b029762819e11a /desktop/hsetroot
parentfb52ee29f76e0fd809db52f5d6072f50540006e2 (diff)
downloadslackbuilds-9470530f531677788c68ff3acce06bd836c6e993.tar.gz
desktop/hsetroot: Added to 13.0 repository
Diffstat (limited to 'desktop/hsetroot')
-rw-r--r--desktop/hsetroot/README8
-rw-r--r--desktop/hsetroot/hsetroot.SlackBuild94
-rw-r--r--desktop/hsetroot/hsetroot.info10
-rw-r--r--desktop/hsetroot/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/desktop/hsetroot/README b/desktop/hsetroot/README
new file mode 100644
index 0000000000..83147841e4
--- /dev/null
+++ b/desktop/hsetroot/README
@@ -0,0 +1,8 @@
+hsetroot is a tool which allows you to compose wallpapers ("root pixmaps")
+for X. It has a lot of options like rendering gradients, solids, images
+but it also allows you to perform manipulations on those things, or chain
+them together. You could use one standard background image for isntance,
+and using tint to make it fit your current theme. And yes, of course it
+is compatible with semi-translucent applications like aterm and xchat.
+
+This requires imlib2.
diff --git a/desktop/hsetroot/hsetroot.SlackBuild b/desktop/hsetroot/hsetroot.SlackBuild
new file mode 100644
index 0000000000..8bc583db13
--- /dev/null
+++ b/desktop/hsetroot/hsetroot.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for hsetroot
+
+# Copyright (c) 2009 Eugene Wissner <belka.ew@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=hsetroot
+VERSION=${VERSION:-1.0.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README AUTHORS ChangeLog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/hsetroot/hsetroot.info b/desktop/hsetroot/hsetroot.info
new file mode 100644
index 0000000000..a885707c47
--- /dev/null
+++ b/desktop/hsetroot/hsetroot.info
@@ -0,0 +1,10 @@
+PRGNAM="hsetroot"
+VERSION="1.0.2"
+HOMEPAGE="http://thegraveyard.org/hsetroot.php"
+DOWNLOAD="http://thegraveyard.org/files/hsetroot-1.0.2.tar.gz"
+MD5SUM="f599770a6411dcfe216c37b280fad9bc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Eugene Wissner"
+EMAIL="belka.ew@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/desktop/hsetroot/slack-desc b/desktop/hsetroot/slack-desc
new file mode 100644
index 0000000000..09ec8b011a
--- /dev/null
+++ b/desktop/hsetroot/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+hsetroot: hsetroot (Wallpapersetter)
+hsetroot:
+hsetroot: hsetroot is a tool which allows you to compose wallpapers ("root
+hsetroot: pixmaps") for X. It has a lot of options like rendering gradients,
+hsetroot: solids, images but it also allows you to perform manipulations on
+hsetroot: those things, or chain them together. You could use one standard
+hsetroot: background image for isntance, and using tint to make it fit your
+hsetroot: current theme. And yes, of course it is compatible with
+hsetroot: semi-translucent applications like aterm and xchat :)
+hsetroot:
+hsetroot: Homepage: http://thegraveyard.org/hsetroot.php